<!doctype html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/app.html}"
>
	<head>
		<!-- Primary Meta Tags -->
		<meta name="title" content="Create User" />
		<!-- tinymce -->
		<script src="/tinymce/tinymce.min.js" referrerpolicy="origin"></script>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Add User</title>
	</head>
	<body layout:fragment="content">
		<div class="px-5">
			<div class="relative max-w-screen-sm overflow-hidden rounded-default bg-surface-container p-4">
				<div class="mb-6">
					<header>
						<h2 class="text-xl font-semibold text-on-surface-higher">Add User</h2>
						<p class="text-on-surface-lower">Buat user STMIK Tazkia dengan mengisi form dibawah!</p>
					</header>
				</div>
				<form form novalidate="novalidate" method="post" th:action="@{/user/create}" th:object="${createUser}">
					<div class="space-y-4">
						<!-- name -->
						<div>
							<label for="name" class="mb-2 block text-sm font-medium text-on-surface">Nama</label>
							<div class="relative">
								<input
									class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
									type="text"
									id="name"
									name="name"
									placeholder="Nama"
									th:field="*{name}"
									required="required"
									autofocus="autofocus"
								/>
								<div class="absolute inset-y-0 start-0 flex items-center ps-4">
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										class="size-4 shrink-0 text-on-surface-lower"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M15.75 6a3.75 3.75 0 1 1-7.5 0 3.75 3.75 0 0 1 7.5 0ZM4.501 20.118a7.5 7.5 0 0 1 14.998 0A17.933 17.933 0 0 1 12 21.75c-2.676 0-5.216-.584-7.499-1.632Z"
										></path>
									</svg>
								</div>
							</div>
							<p id="errorname" class="mt-2 block text-sm text-error"></p>
						</div>
						<!-- username -->
						<div>
							<label for="username" class="mb-2 block text-sm font-medium text-on-surface"
								>Username</label
							>
							<div class="relative">
								<input
									class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
									type="text"
									id="username"
									name="username"
									placeholder="Username"
									th:field="*{username}"
									required="required"
								/>
								<div class="absolute inset-y-0 start-0 flex items-center ps-4">
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										class="size-4 shrink-0 text-on-surface-lower"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M15 9h3.75M15 12h3.75M15 15h3.75M4.5 19.5h15a2.25 2.25 0 0 0 2.25-2.25V6.75A2.25 2.25 0 0 0 19.5 4.5h-15a2.25 2.25 0 0 0-2.25 2.25v10.5A2.25 2.25 0 0 0 4.5 19.5Zm6-10.125a1.875 1.875 0 1 1-3.75 0 1.875 1.875 0 0 1 3.75 0Zm1.294 6.336a6.721 6.721 0 0 1-3.17.789 6.721 6.721 0 0 1-3.168-.789 3.376 3.376 0 0 1 6.338 0Z"
										/>
									</svg>
								</div>
							</div>
							<p id="errorusername" class="mt-2 block text-sm text-error">
								<span th:if="${#fields.hasErrors('username')}" th:erros="*{username}"></span>
							</p>
						</div>
						<!-- email -->
						<div>
							<label for="email" class="mb-2 block text-sm font-medium text-on-surface">Email</label>
							<div class="relative">
								<input
									class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
									type="email"
									id="email"
									name="email"
									placeholder="yourmail@tazkia.ac.id"
									th:field="*{email}"
									required="required"
								/>
								<div class="absolute inset-y-0 start-0 flex items-center ps-4">
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										class="size-4 shrink-0 text-on-surface-lower"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M21.75 6.75v10.5a2.25 2.25 0 0 1-2.25 2.25h-15a2.25 2.25 0 0 1-2.25-2.25V6.75m19.5 0A2.25 2.25 0 0 0 19.5 4.5h-15a2.25 2.25 0 0 0-2.25 2.25m19.5 0v.243a2.25 2.25 0 0 1-1.07 1.916l-7.5 4.615a2.25 2.25 0 0 1-2.36 0L3.32 8.91a2.25 2.25 0 0 1-1.07-1.916V6.75"
										></path>
									</svg>
								</div>
							</div>
							<p id="erroremail" class="mt-2 block text-sm text-error"></p>
						</div>
						<!-- password -->
						<div th:if="${createUser.password == null}">
							<label for="password" class="mb-2 block text-sm font-medium text-on-surface"
								>Password</label
							>
							<div x-data="{showPass : false}" class="relative">
								<input
									class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-11 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
									:type="showPass == true ? 'text' : 'password'"
									id="password"
									name="password"
									placeholder="••••••••"
									required="required"
									type="password"
								/>
								<div class="absolute inset-y-0 start-0 flex items-center ps-4">
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										class="size-4 shrink-0 text-on-surface-lower"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M15.75 5.25a3 3 0 0 1 3 3m3 0a6 6 0 0 1-7.029 5.912c-.563-.097-1.159.026-1.563.43L10.5 17.25H8.25v2.25H6v2.25H2.25v-2.818c0-.597.237-1.17.659-1.591l6.499-6.499c.404-.404.527-1 .43-1.563A6 6 0 1 1 21.75 8.25Z"
										></path>
									</svg>
								</div>
								<!-- toggle password -->
								<button
									@click="showPass = !showPass"
									type="button"
									class="absolute inset-y-0 end-0 flex items-center pe-4 text-on-surface-lower hover:text-on-surface-higher focus-visible:outline-none"
								>
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										:class="showPass == true ? 'hidden' : 'block'"
										class="size-4 shrink-0"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M3.98 8.223A10.477 10.477 0 0 0 1.934 12C3.226 16.338 7.244 19.5 12 19.5c.993 0 1.953-.138 2.863-.395M6.228 6.228A10.451 10.451 0 0 1 12 4.5c4.756 0 8.773 3.162 10.065 7.498a10.522 10.522 0 0 1-4.293 5.774M6.228 6.228 3 3m3.228 3.228 3.65 3.65m7.894 7.894L21 21m-3.228-3.228-3.65-3.65m0 0a3 3 0 1 0-4.243-4.243m4.242 4.242L9.88 9.88"
										/>
									</svg>

									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										:class="showPass == true ? 'block' : 'hidden'"
										class="size-4 shrink-0"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M2.036 12.322a1.012 1.012 0 0 1 0-.639C3.423 7.51 7.36 4.5 12 4.5c4.638 0 8.573 3.007 9.963 7.178.07.207.07.431 0 .639C20.577 16.49 16.64 19.5 12 19.5c-4.638 0-8.573-3.007-9.963-7.178Z"
										/>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M15 12a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
										/>
									</svg>
								</button>
							</div>
							<p id="errorpassword" class="mt-2 block text-sm text-error"></p>
						</div>
						<!-- role -->
						<div>
							<label for="role" class="mb-2 block text-sm font-medium text-on-surface">Pilih Role</label>
							<div class="relative">
								<select
									class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
									name="role"
									id="role"
									th:field="*{role}"
									required
								>
									<option value="">Pilih Role</option>
									<option value="admin">Admin</option>
								</select>
								<div class="absolute inset-y-0 start-0 flex items-center ps-4">
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										class="size-4 shrink-0 text-on-surface-lower"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M6.429 9.75 2.25 12l4.179 2.25m0-4.5 5.571 3 5.571-3m-11.142 0L2.25 7.5 12 2.25l9.75 5.25-4.179 2.25m0 0L21.75 12l-4.179 2.25m0 0 4.179 2.25L12 21.75 2.25 16.5l4.179-2.25m11.142 0-5.571 3-5.571-3"
										></path>
									</svg>
								</div>
							</div>
							<p id="errorrole" class="mt-2 block text-sm text-error"></p>
						</div>
						<input type="hidden" name="id" th:field="*{id}" />
						<button
							type="submit"
							class="inline-flex w-full items-center justify-center gap-x-2 rounded-default bg-primary px-4 py-3 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower disabled:cursor-not-allowed disabled:bg-primary-lowest disabled:text-on-primary/50"
						>
							Save
						</button>
					</div>
				</form>
			</div>
		</div>
	</body>
</html>
